Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000037 [cparser] firm graph generation minor always 2009-02-26 15:25 2011-04-19 10:54
Reporter xt3firm View Status public  
Assigned To Matze
Priority low Resolution fixed  
Status closed   Product Version 0.9.8
Summary 0000037: assertion fails when cparser compiles a local static declaration inside a function
Description assertion fails when cparser compiles a local static declaration inside a function, see testsuite/C/cp_error054.c
Additional Information extracted from mail by Volkmar Klatt
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000057)
Matze (administrator)
2009-02-27 17:55

declaring static functions in a local scope is simply not legal.
Of course we should catch that error in the parser and not run into an assert.

Fixed in r25576
(0000059)
Matze (administrator)
2009-03-02 13:47

apparently it is not illegal. gcc reports it as an error but we can't find a place where the standard says so. Reopening.
(0000099)
Matze (administrator)
2011-04-19 10:54

we report an error now

- Issue History
Date Modified Username Field Change
2009-02-26 15:25 xt3firm New Issue
2009-02-26 15:26 xt3firm Status new => confirmed
2009-02-26 15:46 xt3firm Additional Information Updated
2009-02-27 17:55 Matze Note Added: 0000057
2009-02-27 17:55 Matze Status confirmed => resolved
2009-02-27 17:55 Matze Resolution open => fixed
2009-02-27 18:10 Matze Assigned To => Matze
2009-03-02 13:47 Matze Note Added: 0000059
2009-03-02 13:47 Matze Priority normal => low
2009-03-02 13:47 Matze Severity crash => minor
2009-03-02 13:47 Matze Status resolved => confirmed
2009-03-02 13:47 Matze Resolution fixed => reopened
2009-03-02 13:47 Matze version => 0.9.8
2011-04-19 10:54 Matze Note Added: 0000099
2011-04-19 10:54 Matze Status confirmed => resolved
2011-04-19 10:54 Matze Resolution reopened => fixed
2011-04-19 10:54 Matze Status resolved => closed


Mantis 1.1.5[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker